---
apiVersion: discovery.k8s.io/v1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1
  endpoints:
  - addresses:
    - 10.46.248.42
    conditions:
      ready: true
      serving: true
      terminating: false
    nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
    targetRef:
      kind: Pod
      name: cluster-version-operator-794c58b7bc-lfzxr
      namespace: openshift-cluster-version
      uid: 4a80ca66-d4eb-408c-8fa5-4a40f0cc559e
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:17:48Z"
    creationTimestamp: "2025-10-27T11:18:04Z"
    generateName: cluster-version-operator-
    generation: 11
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      k8s-app: cluster-version-operator
      kubernetes.io/service-name: cluster-version-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:k8s-app: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2cf7c441-fe6f-4d26-a41f-8de6f487eb07"}: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:17:48Z"
    name: cluster-version-operator-gj6r7
    namespace: openshift-cluster-version
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-version-operator
      uid: 2cf7c441-fe6f-4d26-a41f-8de6f487eb07
    resourceVersion: "38522"
    uid: 11b493d2-797f-459a-bdd4-7c48e5fc4d98
  ports:
  - name: metrics
    port: 9099
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "2219483"
